---
identifier: "GMS-2016-24"
package_slug: "npm/marked"
title: "Sanitization bypass using HTML Entities"
description: "Due to the way that marked parses input, specifically HTML entities,
  it's possible to bypass marked's content injection protection (`sanitize: true`)
  to inject a `javascript:` URL. This flaw exists because `&#xNNanything;` gets parsed
  to what it could and leaves the rest behind, resulting in just `anything;` being
  left. "
date: "2016-04-18"
pubdate: "2016-04-18"
affected_range: "<0.3.6"
fixed_versions:
- "0.3.6"
affected_versions: "All versions before 0.3.6"
solution: "Upgrade to latest version."
urls:
- "https://github.com/chjj/marked/pull/592"
- "https://github.com/chjj/marked/pull/592/commits/2cff85979be8e7a026a9aca35542c470cf5da523"
- "https://nodesecurity.io/advisories/101"
credit: "Matt Austin"
uuid: "9de559de-c695-4014-8b09-c27eea5b90c7"
